package com.zhiqiyun.open.core.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zhiqiyun.open.core.models.sentiment.SentimentSpiderEvent;

public interface SentimentSpiderEventService extends IService<SentimentSpiderEvent> {
	/**
	 * 启动采集
	 *
	 * @param event
	 */
	void start(SentimentSpiderEvent event);

	/**
	 * 停止采集
	 *
	 * @param event
	 */
	void stop(SentimentSpiderEvent event);

	/**
	 * 查询运行状态
	 *
	 * @param eventId
	 */
	int getStatus(Long eventId);

}
